# Hybrid Availability Expectations

## Introduction
Please note that this guidance is West Coast centric as Fargo and Prague are coming up with their own guidelines.  

## Core Hours (e.g. hours that folks must be available):
Strictly speaking, there are no “core hours” as this goes against the spirit and intent of hybrid.  However, see next sections on meetings and first responder duties.

## Meeting Availability:  
Meeting (remote and in person) attendance is expected from time to time.  As per our async principles, a focus should be put on the value of any meetings scheduled so we can better respect the different time zones and hybrid work patterns.  Regarding timing, meetings fall into three categories:
- Meetings which include the Prague team should generally be scheduled from 8:30am PST until 10am PST, and no later than 11am PST on exceptional cases.
- Meetings which include only folks from the continental US should generally be scheduled from 10am PST until 2pm PST.
- V-Team meetings have no set timeframe and is up to the v-team themselves.

## Days in Office:
There is no expectation that there be a set schedule for days in the office as we’re emphasizing flexibility.

Optional: Add your in-office days to your Teams' status

## First Responders:
As a team we have a commitment to respond/help our customers during a certain time frame.  Given this, it’s important that each dev is available while on FR rotation according to whatever is worked out by the FR lead.

## Impact instead of Time:
Each of us should be focused primarily on delivering the right impact according to our role and level.  The assumption is that it’ll likely take 40(ish) hours a week to have the right impact – but this priority order is important.  The implication is that there should be flexibility such that we’re able to employ the rhythms that work best for us, leaving ample time/opportunity for family, personal health, well being, as well as work.



<!-- Begin Generated Content: Doc Feedback -->
<sub>Was this helpful? [![Yes](https://helix.dot.net/f/ip/5?p=Documentation%5CTeamProcess%5CDevGuide%5Cavailability.md)](https://helix.dot.net/f/p/5?p=Documentation%5CTeamProcess%5CDevGuide%5Cavailability.md) [![No](https://helix.dot.net/f/in)](https://helix.dot.net/f/n/5?p=Documentation%5CTeamProcess%5CDevGuide%5Cavailability.md)</sub>
<!-- End Generated Content-->
